# Context Processors... called each time a page is requested
from models import Status, Project

def metaproject(request):
	# If the currently-logged-in user originated any projects, set "user_has_projects" to a value that evaluates as True (in this case, it's actually a queryset, rather than a bool...)
	# This is used in the sitestripe navigation div to selectively display the "My Projects" link
	if request.user.is_authenticated():
		user_has_projects = Project.objects.filter(originator=request.user)
	else:
		user_has_projects = False
        its_staff = request.user.has_module_perms('metaproject')	# If the user has permission for the metaproject app, the sitestripe will display "Admin" as an option
	return {'sw_version': 'HEW09', 'user_has_projects': user_has_projects, 'its_staff': its_staff}	# Return all of this stuff as a dict, which gets passed to the templates
