# Change this stuff when you're in production!
DEBUG = True
TEMPLATE_DEBUG = DEBUG

# When debug is false, these people will get emails whenever an HTTP 500 happens
ADMINS = (
	 ('Your name', 'youremail@yourdomain.tld'),
)

# If you have SEND_BROKEN_LINK_EMAILS=True, these people will get emails
MANAGERS = ADMINS

# Database Settings (pick something a little more creative than "django" for the password...)
DATABASE_ENGINE = 'postgresql_psycopg2'       # 'postgresql_psycopg2', 'postgresql', 'mysql', 'sqlite3' or 'oracle'.
DATABASE_NAME = 'django'             # Or path to database file if using sqlite3.
DATABASE_USER = 'django'             # Not used with sqlite3.
DATABASE_PASSWORD = 'django'         # Not used with sqlite3.
DATABASE_HOST = ''             # Set to empty string for localhost. Not used with sqlite3.
DATABASE_PORT = ''             # Set to empty string for default. Not used with sqlite3.

# Localization and Internationalization Settings
TIME_ZONE = 'America/New_York'
LANGUAGE_CODE = 'en-us'
USE_I18N = False



# If you're using the "sites" framework, set this to the pk of the site
SITE_ID = 1


# Absolute path to the directory that holds media.
# Example: "/home/media/media.lawrence.com/"
# Note: If you're using django.views.static.serve view for static media during development, this is ignored
MEDIA_ROOT = '/var/django/hew09/metaproject/media'

# URL that handles the media served from MEDIA_ROOT. Make sure to use a
# trailing slash if there is a path component (optional in other cases).
# Examples: "http://media.lawrence.com", "http://example.com/media/"
MEDIA_URL = '/static_media/'

# URL prefix for admin media -- CSS, JavaScript and images. Make sure to use a trailing slash.
# Examples: "http://foo.com/media/", "/media/".
ADMIN_MEDIA_PREFIX = '/media/'

# Make this unique, and don't share it with anybody.
SECRET_KEY = 'h-uyy3x1e*zgq9f@-az79c=9u3av6wy4%pv5(xmnyey@sspf1w'

# List of callables that know how to import templates from various sources.
TEMPLATE_LOADERS = (
	'django.template.loaders.filesystem.load_template_source',
	'django.template.loaders.app_directories.load_template_source',
)

MIDDLEWARE_CLASSES = (
	'django.middleware.common.CommonMiddleware',
	'django.contrib.sessions.middleware.SessionMiddleware',
	'django.contrib.auth.middleware.AuthenticationMiddleware',
)

ROOT_URLCONF = 'hew09.urls'

TEMPLATE_DIRS = (
# Put strings here, like "/home/html/django_templates" or "C:/www/django/templates".
# Always use forward slashes, even on Windows.
# Don't forget to use absolute paths, not relative paths.
	'/var/django/hew09/metaproject/templates',
)

INSTALLED_APPS = (
	'django.contrib.auth',
	'django.contrib.contenttypes',
	'django.contrib.sessions',
	'django.contrib.sites',
	'django.contrib.admin',
	'django.contrib.comments',
	'django.contrib.markup',
	'hew09.metaproject',
)

AUTHENTICATION_BACKENDS = (
        'django.contrib.auth.backends.ModelBackend',
)

TEMPLATE_CONTEXT_PROCESSORS = (
        'django.core.context_processors.auth',
        'django.core.context_processors.media',
        'metaproject.context_processors.metaproject',
)




# This overrides the URL in the RSS Feed of comments
ABSOLUTE_URL_OVERRIDES = {
        'comments.comment': lambda o: "/view/%s/" % o.object_pk,
}

